Create Account File (from URL)

Upload a file to an account by providing its URL

Note: The /clients path is an alias for /accounts and will continue to work until users are individually notified and migrated.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

account_idintegerRequired
Account identifier

Request

This endpoint expects an object.
urlstringRequiredformat: "uri"
URL of the file to upload
namestringOptional
Name of the file
isArchivedbooleanOptionalDefaults to false
Whether the file is archived

Response

Successful response
idinteger
File identifier
namestring
File name
downloadUrlstring
URL to download the file
typestring
File type
updatedAtstringformat: "date-time"
Last update timestamp
createdAtstringformat: "date-time"
Creation timestamp
metaDataobject
sourcestring

File source (e.g., INTERNAL)

createdByUserobject
isArchivedbooleanOptional
Whether the file is archived

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error